Skip to main content
POST
Verify a SIWE message and return a JWT for API authentication

Body

application/json
message
string
required

The original SIWE message that was signed by the user.

sig
string
required

The signature generated by the user when signing the SIWE message.

nonce
string
required

Kept for compatibility and ignored: the nonce is read from the signed message, which must be one issued by GET /v2/auth/siwe and not yet expired (60 minutes).

Response

Default Response

success
enum<boolean>
required
Available options:
true
data
object
required